#define YYFLAG   -1000
#define YYERROR  goto yyerrlab
#define YYACCEPT return(0)
#define YYABORT  return(1)

#ifdef YYDEBUGON
int     yydebug = 1;    /* @VG ᯥ. 砩 */
#define YYDEBUG
#else
# ifdef YYDEBUG
int     yydebug = 0;    /* 1  ⫠ */
# endif
#endif

#ifdef YYVX      /*  YYV  ⥪ */
YYSTYPE yyv[YYMAXDEPTH]; /* ⥪  ࠭ 祭 */
#endif

int     yychar = -1;     /*  ⥪饩 ᥬ */
int     yynerrs = 0;     /* ᫮ 訡 */
short   yyerrflag = 0;   /* 䫠 ⠭ ᫥ 訡 */

yyparse()
{
	short             yys[YYMAXDEPTH];
#ifndef YYVX
	YYSTYPE yyv[YYMAXDEPTH];   /* ⥪  ࠭ 祭 */
#endif
	short             yyj, yym;
	register YYSTYPE *yypvt;
	register short    yystate, *yyps, yyn;
	register YYSTYPE *yypv;
	register short   *yyxi;

	yystate   = 0;
	yychar    = -1;
	yynerrs   = 0;
	yyerrflag = 0;
	yyps = &yys[-1];
	yypv = &yyv[-1];

    yystack:    /*  ﭨ  祭  ⥪ */

#ifdef YYDEBUG
	if( yydebug  ) printf("state %d, char %d\n":,
			       yystate, yychar );
#endif
	if( ++yyps > &yys[YYMAXDEPTH] ) {
		yyerror("yacc stack overflow");
		return(1);
	}
	*yyps = yystate;
	++yypv;
	*yypv = yyval;

    yynewstate:
	yyn = yypact[yystate];
	if( yyn <= YYFLAG )
		goto yydefault; /* ⮥ ﭨ */

	if( yychar < 0 )
		if( (yychar = yylex()) < 0 )
			yychar = 0;
	if( (yyn += yychar) < 0 || yyn >= YYLAST )
		goto yydefault;

	if( yychk[yyn = yyact[yyn]] == yychar ) { /*  ᤢ */
		yychar  = -1;
		yyval   = yylval;
		yystate = yyn;
		if( yyerrflag > 0 )
			--yyerrflag;
		goto yystack;
	}

    yydefault:  /* ⢨  㬮砭 */

	if( (yyn = yydef[yystate]) == -2 ) {
		if( yychar < 0 )
			if( (yychar = yylex()) < 0 )
				yychar = 0;

		/* ᬮ ⠡ ᪫祭 */

		for( yyxi = yyexca ; (*yyxi != (-1)) || (yyxi[1] != yystate) ;
								   yyxi += 2 )
			/*  */;

		while( *(yyxi += 2) >= 0 ) {
			if( *yyxi == yychar )
				break;
		}
		if( (yyn = yyxi[1]) < 0 )
			return(0);   /* ਭ */
	}

	if( yyn == 0 ) {        /* 訡 */

		/* 訡 ... ⪠ த ࠧ */

		switch( yyerrflag ) {
		    case 0:     /* ⬥  訡 */

			yyerror("syntax error");
		    yyerrlab:
			++yynerrs;

		    case 1:
		    case 2: /*  ⠭ ᫥ 訡 ...
					      ஡  ࠧ */

			yyerrflag = 3;

			/* ᪠ ﭨ   ᤢ  "error" */

			while ( yyps >= yys ) {
				yyn = yypact[*yyps] + YYERRCODE;
				if( yyn >= 0 &&
				    yyn < YYLAST &&
				    yychk[yyact[yyn]] == YYERRCODE ) {

					/* ஢ ᤢ  "error" */
					yystate = yyact[yyn];
					goto yystack;
				}
				yyn = yypact[*yyps];

		 /*  ⥪饬 yyps  ᤢ  "error",   ⥪ */

#ifdef YYDEBUG
				if( yydebug )
    printf("error recovery pops state %d, uncovers %d\n",
						*yyps, yyps[-1] );
#endif
				--yyps;
				--yypv;
			}

		/*  ⥪  ﭨ  ᤢ  訡 ...  */

		    yyabort:
			return(1);

		    case 3:  /*   ᤢ;  ᥬ */

#ifdef YYDEBUG
			if( yydebug )
		printf("error recovery discards char %d\n",
					 yychar );
#endif

			if( yychar == 0 )
				goto yyabort; /*  ய᪠ EOF,  */
			yychar = -1;
			goto yynewstate;   /* ஡  ࠧ  ⮬  ﭨ */
		}
	}

	/* ᢥ⪠ ࠢ yyn */

#ifdef YYDEBUG
	if( yydebug )
		printf("reduce %d\n", yyn );
#endif
	yyps -= yyr2[yyn];
	yypvt = yypv;
	yypv -= yyr2[yyn];
	yyval = yypv[1];
	yym = yyn;

	/*   ⠡ 室 ⮡ 㧭 ᫥. ﭨ */
	yyn = yyr1[yyn];
	yyj = yypgo[yyn] + *yyps + 1;
	if( yyj >= YYLAST || yychk[yystate = yyact[yyj]] != -yyn )
		yystate = yyact[yypgo[yyn]];
	switch(yym){
		$A
	}
	goto yystack;  /*   ⥪  ﭨ  祭 */
}
